summaryrefslogtreecommitdiffstats
path: root/util/travis_compiled_push.sh
diff options
context:
space:
mode:
authorJack Humbert <jack.humb@gmail.com>2016-06-29 22:21:41 +0200
committerGitHub <noreply@github.com>2016-06-29 22:21:41 +0200
commit215c2119af5281072d5a6efb0308408793cadd08 (patch)
tree995bb9788a4f40b835d7713af3eb3015e9f43689 /util/travis_compiled_push.sh
parent755b17f8fc0f484261108f912af38430b27e9c95 (diff)
downloadqmk_firmware-215c2119af5281072d5a6efb0308408793cadd08.tar.gz
qmk_firmware-215c2119af5281072d5a6efb0308408793cadd08.tar.xz
Implements subprojects and updates projects for this (#459)
* non-working commit * working * subprojects implemented for planck * pass a subproject variable through to c * consolidates clueboard revisions * thanks for letting me know about conflicts.. * turn off audio for yang's * corrects starting paths for subprojects * messing around with travis * semicolon * travis script * travis script * script for travis * correct directory (probably), amend files to commit * remove origin before adding * git pull, correct syntax * git checkout * git pull origin branch * where are we? * where are we? * merging * force things to happen * adds commit message, adds add * rebase, no commit message * rebase branch * idk! * try just pull * fetch - merge * specify repo branch * checkout * goddammit * merge? idk * pls * after all * don't split up keyboards * syntax * adds quick for all-keyboards * trying out new script * script update * lowercase * all keyboards * stop replacing compiled.hex automatically * adds if statement * skip automated build branches * forces push to automated build branch * throw an add in there * upstream? * adds AUTOGEN * ignore all .hex files again * testing out new repo * global ident * generate script, keyboard_keymap.hex * skip generation for now, print pandoc info, submodule update * try trusty * and sudo * try generate * updates subprojects to keyboards * no idea * updates to keyboards * cleans up clueboard stuff * setup to use local readme * updates cluepad, planck experimental * remove extra led.c [ci skip] * disable power up for now * config files updates * makefile updates * .h file updates, config tuning * disable audio for yang
Diffstat (limited to 'util/travis_compiled_push.sh')
-rw-r--r--util/travis_compiled_push.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/util/travis_compiled_push.sh b/util/travis_compiled_push.sh
new file mode 100644
index 000000000..01317f4be
--- /dev/null
+++ b/util/travis_compiled_push.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -o errexit -o nounset
+
+rev=$(git rev-parse --short HEAD)
+
+git config --global user.name "Travis CI"
+git config --global user.email "jack.humb+travis.ci@gmail.com"
+
+find . -name ".build" | xargs rm -rf
+cd ..
+git clone https://$GH_TOKEN@github.com/jackhumbert/qmk.fm.git
+cd qmk.fm
+git submodule update --init --recursive
+rm -rf keyboard
+rm -rf keyboards
+cp -r ../qmk_firmware/keyboards .
+cp ../qmk_firmware/readme.md qmk_readme.md
+./generate.sh
+
+git add -A
+git commit -m "generated from qmk_firmware/$TRAVIS_BRANCH@${rev}"
+git push \ No newline at end of file